/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.annotation;

import javax.lang.model.element.Modifier;

public enum Access {

    PUBLIC(Modifier.PUBLIC),
    PROTECTED(Modifier.PROTECTED),
    PRIVATE(Modifier.PRIVATE),
    PACKAGE,NONE;
    
    private final Modifier _modifier;
    
    private Access(Modifier modifier)
    {
        _modifier = modifier;
    }
    
    private Access()
    {
        _modifier = null;
    }
    
    public Modifier getModifier()
    {
        return _modifier;
    }
    
    public boolean hasModifier()
    {
        return _modifier != null;
    }
}
