/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.SOURCE)
@Target(ElementType.TYPE)
public @interface Bean {
    public String name();
    public EventSet[] eventsets() default {};
    public Property[] properties() default {};
    public boolean concrete() default true;
    public boolean threaded() default true;
    public Method exceptionHandler() default @Method(name="exceptionThrown");
    public Field listenerList() default @Field(name="listenerList", type="javax.swing.event.EventListenerList");
    public Field propertyChangeSupport() default @Field(name="pcSupport",type="java.beans.PropertyChangeSupport");
    public Field vetoableChangeSupport() default @Field(name="vcSupport", type="java.beans.VetoableChangeSupport");
    public Method addPropertyChangeListener() default @Method(name="addPropertyChangeListener");
    public Method removePropertyChangeListener() default @Method(name="removePropertyChangeListener");
    public Method addVetoableChangeListener() default @Method(name="addVetoableChangeListener");
    public Method removeVetobaleChangeListener() default @Method(name="removeVetoableChangeListener");
}
