/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.model;

public class BeanData extends SourceGeneratorData {

    private EventSetData[] _eventSets;
    private PropertyData[] _properties;
    private FieldData _listenerList;
    private FieldData _propertyChangeSupport;
    private FieldData _vetoableChangeSupport;
    private MethodData _exceptionHandler;
    private MethodData _addPropertyChangeListenerMethod;
    private MethodData _removePropertyChangeListenerMethod;
    private MethodData _addVetoableChangeListenerMethod;
    private MethodData _removeVetoableChangeListenerMethod;
    
    public void setEventSets(EventSetData[] value) {
        _eventSets = value;
    }

    public EventSetData[] getEventSets()
    {
        return _eventSets;
    }
    
    public void setProperties(PropertyData[] value)
    {
        _properties = value;
    }
    
    public PropertyData[] getProperties()
    {
        return _properties;
    }
    
    public void setListenerList(FieldData value)
    {
        _listenerList = value;
    }
    
    public FieldData getListenerList()
    {
        return _listenerList;
    }
    
    public void setPropertyChangeSupport(FieldData value)
    {
        _propertyChangeSupport = value;
    }
    
    public FieldData getPropertyChangeSupport()
    {
        return _propertyChangeSupport;
    }
    
    public void setVetoableChangeSupport(FieldData value)
    {
        _vetoableChangeSupport = value;
    }
    
    public FieldData getVetoableChangeSupport()
    {
        return _vetoableChangeSupport;
    }
    
    @SuppressWarnings("empty-statement")
    public boolean isHasBoundProperty()
    {
        boolean has = false;
        if ( _properties != null )
        {
            for(int i = 0; !has && i<_properties.length; has|=_properties[i++].isBound())
            {
                ;
            }
        }
        return has;
    }
    
    @SuppressWarnings("empty-statement")
    public boolean isHasConstrainedProperty()
    {
        boolean has = false;
        if ( _properties != null )
        {
            for(int i = 0; !has && i<_properties.length; has|=_properties[i++].isConstrained())
            {
                ;
            }
        }
        return has;
    }
    
    public void setExceptionHandler(MethodData value)
    {
        _exceptionHandler = value;
    }
    
    public MethodData getExceptionHandler()
    {
        return _exceptionHandler;
    }

    public MethodData getAddPropertyChangeListenerMethod() {
        return _addPropertyChangeListenerMethod;
    }

    public void setAddPropertyChangeListenerMethod(MethodData value) {
        _addPropertyChangeListenerMethod = value;
    }

    public MethodData getRemovePropertyChangeListenerMethod() {
        return  _removePropertyChangeListenerMethod;
    }

    public void setRemovePropertyChangeListenerMethod(MethodData value) {
         _removePropertyChangeListenerMethod = value;
    }
    
    public MethodData getAddVetoableChangeListenerMethod() {
        return _addVetoableChangeListenerMethod;
    }

    public void setAddVetoableChangeListenerMethod(MethodData value) {
        _addVetoableChangeListenerMethod = value;
    }

    public MethodData getRemoveVetoableChangeListenerMethod() {
        return  _removeVetoableChangeListenerMethod;
    }

    public void setRemoveVetoableChangeListenerMethod(MethodData value) {
         _removeVetoableChangeListenerMethod = value;
    }
}
