/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.model;

public class EventSetData {

    private String _name;
    private boolean _unicast;
    private MethodData _addListenerMethod;
    private MethodData _removeListenerMethod;
    private MethodData[] _fireEventMethods;
    private MethodData[] _listenerMethods;
    private TypeName _listener;
    private TypeName _event;

    public MethodData getAddListenerMethod() {
        return _addListenerMethod;
    }

    public void setAddListenerMethod(MethodData value) {
        _addListenerMethod = value;
    }

    public MethodData getRemoveListenerMethod() {
        return  _removeListenerMethod;
    }

    public void setRemoveListenerMethod(MethodData value) {
         _removeListenerMethod = value;
    }
    
    public void setName(String value)
    {
        _name = value;
    }
    
    public String getName()
    {
        return _name;
    }
    
    public void setUnicast(boolean value)
    {
        _unicast = value;
    }
    
    public boolean isUnicast()
    {
        return _unicast;
    }
    
    public void setListener(TypeName value)
    {
        _listener = value;
    }
    
    public TypeName getListener()
    {
        return _listener;
    }
    
    public void setEvent(TypeName value)
    {
        _event = value;
    }
    
    public TypeName getEvent()
    {
        return _event;
    }
    
    public void setFireEventMethods(MethodData[] value)
    {
        _fireEventMethods = value;
    }
    
    public MethodData[] getFireEventMethods()
    {
        return _fireEventMethods;
    }
    
    public void setlistenerMethods(MethodData[] value)
    {
        _listenerMethods = value;
    }
    
    public MethodData[] getListenerMethods()
    {
        return _listenerMethods;
    }
}
