/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.model;

public class MethodData extends MemberData {

    private TypeName _returnType;
    private TypeName[] _parameterTypes;
    private TypeName[] _exceptionTypes;
    private String _typeParameters;
    private ModifierData _modifiers;

    public void setReturnType(TypeName value)
    {
        _returnType = value;
    }
    
    public TypeName getReturnType()
    {
        return _returnType;
    }
    
    public void setParameterTypes(TypeName[] value)
    {
        _parameterTypes = value;
    }
    
    public TypeName[] getParameterTypes()
    {
        return _parameterTypes;
    }
    
    public void setExceptionTypes(TypeName[] value)
    {
        _exceptionTypes = value;
    }
    
    public TypeName[] getExceptionTypes()
    {
        return _exceptionTypes;
    }
    
    public void setTypeParameters(String value)
    {
        _typeParameters = value;
    }
    
    public String getTypeParameters()
    {
        return _typeParameters;
    }
    
    public void setModifiers(ModifierData value)
    {
        _modifiers = value;
    }
    
    public ModifierData getModifiers()
    {
        return _modifiers;
    }
}
