/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.model;

public class PropertyData
{
    private String _name;
    private String _nameConstant;
    private FieldData _field;
    private boolean _bound;
    private boolean _constrained;
    private boolean _indexed;
    private MethodData _readMethod;
    private MethodData _writeMethod;
    private TypeName _type;
    private TypeName _impl;

    public void setName(String value)
    {
        _name = value;
    }
    
    public String getName()
    {
        return _name;
    }
    
    public void setBound(boolean value)
    {
        _bound = value;
    }
    
    public boolean isBound()
    {
        return _bound;
    }
    
    public void setConstrained(boolean value)
    {
        _constrained = value;
    }
    
    public boolean isConstrained()
    {
        return _constrained;
    }
    
    public void setType(TypeName value)
    {
        _type = value;
    }
    
    public TypeName getType()
    {
        return _type;
    }
    
    public void setReadMethod(MethodData value)
    {
        _readMethod = value;
    }
    
    public MethodData getReadMethod()
    {
        return _readMethod;
    }
    
    public void setWriteMethod(MethodData value)
    {
        _writeMethod = value;
    }
    
    public MethodData getWriteMethod()
    {
        return _writeMethod;
    }
    
    public void setIndexed(boolean value)
    {
        _indexed = value;
    }
    
    public boolean isIndexed()
    {
        return _indexed;
    }
    
    public void setImpl(TypeName value)
    {
        _impl = value;
    }
    
    public TypeName getImpl()
    {
        return _impl;
    }
    
    public void setNameConstant(String value)
    {
        _nameConstant = value;
    }
    
    public String getNameConstant()
    {
        return _nameConstant;
    }
    
    public void setField(FieldData value)
    {
        _field = value;
    }
    
    public FieldData getField()
    {
        return _field;
    }
}
