/*
 * Copyright 2008 jpp Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jpp.model;

public class SourceGeneratorData {

    private final TypeData _target;
    private final TypeData _source;
    private MethodData _init;
    private TypeName _spec;
    private boolean _concrete;
    private boolean _extends;
    private boolean _implements;
    private MethodData[] _methods;
    private boolean _threaded;

    public SourceGeneratorData()
    {
        _target = new TypeData();
        _source = new TypeData();
    }
    
    public TypeData getTarget() {
        return _target;
    }

    public TypeData getSource()
    {
        return _source;
    }
    
    public void setInit(MethodData value)
    {
        _init = value;
    }
    
    public MethodData getInit()
    {
        return _init;
    }
    
    public TypeName getSpec() {
        return _spec;
    }

    public void setSpec(TypeName value) {
        _spec = value;
    }
    
    public void setConcrete(boolean value)
    {
        _concrete = value;
    }
    
    public boolean isConcrete()
    {
        return _concrete;
    }
    
    public void setExtends(boolean value)
    {
        _extends = value;
    }
    
    public boolean isExtends()
    {
        return _extends;
    }
    
    public void setImplements(boolean value)
    {
        _implements = value;
    }
    
    public boolean isImplements()
    {
        return _implements;
    }
    
    public void setMethods(MethodData[] value)
    {
        _methods = value;
    }
    
    public MethodData[] getMethods()
    {
        return _methods;
    }
    
    public void setThreaded(boolean value)
    {
        _threaded = value;
    }
    
    public boolean isThreaded()
    {
        return _threaded;
    }
}
